<IfModule mod_rewrite.c>
    # Редирект: ...// -> .../
    RewriteCond %{REQUEST_URI} (.*)\/\/$
    RewriteRule ^(.*)$ https://%{HTTP_HOST}/%1/ [R=301,L]

    # Редирект: с www -> без www
    RewriteCond %{HTTP_HOST} ^www\.(.*)$
    RewriteRule ^(.*)$ https://%{HTTP_HOST}/$1 [R=301,L]

    # Редирект: HTTP -> HTTPS
    RewriteCond %{HTTP:X-Forwarded-Proto} !https
    RewriteCond %{HTTPS} off
    RewriteRule (.*) https://%{HTTP_HOST}%{REQUEST_URI} [R=301,L]
</IfModule>